Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

List of all members
eZ\Publish\Core\SignalSlot\Signal\ContentService\AddTranslationInfoSignal Class Reference

AddTranslationInfoSignal class. More...

Inheritance diagram for eZ\Publish\Core\SignalSlot\Signal\ContentService\AddTranslationInfoSignal:

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

AddTranslationInfoSignal class.

Deprecated:
  since 7.5. Will be removed in 8.0 as it is no longer used.

Definition at line 16 of file AddTranslationInfoSignal.php.

The documentation for this class was generated from the following file:

- AddTranslationInfoSignal.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.